%global		momorel 2

Summary: 	XSLT processor
Name: 		sablotron

%define		altname Sablot
%define 	builddir $RPM_BUILD_DIR/%{altname}-%{version}

Version: 	1.0
Release: 	%{momorel}m
Group: 		Applications/Text
License:	MPL or GPL
URL:		http://www.gingerall.com/charlie/ga/xml/p_sab.xml
%NoSource 0	http://www.gingerall.com/perl/rd?url=sablot/%{altname}-%{version}.tar.gz 16f6487f1872a31ed566b0f2cfeba895
Patch0:		sablotron-1.0-lib.patch
Patch1:		sablotron-1.0-gcc32.patch


Requires:	expat >= 1.95.2
BuildRequires:  expat-devel >= 1.95.2
BuildRequires:  ncurses-devel, libstdc++-devel
BuildRequires:  automake >= 1.5-16m, autoconf

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
Sablotron is a C++ XSLT processor, written by Ginger Alliance.

%package devel
Requires: sablotron = %{version}
Summary: The development libraries and header files for Sablotron
Group: Development/Libraries

%description devel
These are the development libraries and header files for Sablotron

%prep
%setup -q -n %{altname}-%{version}
%patch0 -p0 -b .lib
%patch1 -p1 -b .gcc32

%build
export CXXFLAGS="%{optflags}"
libtoolize -c -f
aclocal
automake-1.4 --add-missing --copy
autoconf
%configure \
		--enable-debugger \
		--enable-perlconnect \
		--enable-iconv-typecast \
		--enable-check-leaks

make

%install
%makeinstall

%files
%defattr(-,root,root)
%{_bindir}/sabcmd
%{_libdir}/libsablot.so.*
%{_mandir}/man1/sabcmd.1.*
%doc README RELEASE doc/misc/NOTES doc/misc/DEBUGGER


%files devel
%defattr(-,root,root)
%doc doc/apidoc/sablot
%doc doc/apidoc/jsdom-ref
%doc doc/apidoc/sxp
%{_bindir}/sablot-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*.h

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Oct 30 2003 zunda <zunda at freeshell.org>
- (1.0-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Aug 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-1m)

* Sun Dec  1 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.96-5m)
- add BuildRequires: autoconf

* Sun Dec  1 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.96-4m)
- use automake-1.4 instead of automake1.4-p5

* Sun Nov  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.96-3m)
- add gcc32 patch(add -lstdc++ to link command)

* Sat Sep 28 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.96-2m)
- add patch for expat 1.95-5

* Sat Sep 28 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.70-8k)
- cancel gcc-3.1 autoconf-2.53

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.70-6k)
  applied gcc 3.1 patch

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (0.70-4k)
- Group correction.

* Sun Sep 23 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- Kondaraize

* Tue Sep 18 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.70 RPM release 1

* Wed Aug 15 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.65 RPM release 1

* Thu Jun 14 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.60 RPM release 1
- build under RedHat 7.1 with rpm 4.0.2

* Wed Apr 22 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.52 RPM release 1
- based on 0.51-5 spec by Henri Gomez

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 5
- apply patch to add -lexpat and -lstdc++ in libsablot.so
  REQUIRED for use with PHP4

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 4
- follow Redhat way to dispatch between pack and pack-devel

* Tue Feb 20 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 3
- added ldconfig is post/preun and cleanup stuff
- build under Redhat 6.2 + updates with rpm 3.0.5

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 2
- added Requires expat >= 1.95.1

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 1
- updated spec file
